## kate 23.08.5

=== CMakeLists.txt ===
# 3.16 is required for the ECM version we require
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kate VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_DEP_VERSION "5.90.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# We need some parts of the ECM CMake helpers.
find_package(ECM ${KF5_DEP_VERSION} QUIET REQUIRED NO_MODULE)

# We append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

include(FeatureSummary)
include(FindIntl)

# forbid some old things
add_definitions(-DQT_NO_FOREACH)

# Required here so that the version comparison below works
find_package(Qt${QT_MAJOR_VERSION}Widgets ${QT_MIN_VERSION} CONFIG REQUIRED)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

# Required here so that the ki18n_install/kdoctools_install calls work.
find_package(KF${KF_MAJOR_VERSION} ${KF5_DEP_VERSION}
    REQUIRED COMPONENTS
        I18n
        CoreAddons
        GuiAddons
	Crash
	IconThemes
	TextEditor
    OPTIONAL_COMPONENTS
        DocTools
)

if (NOT WIN32 AND NOT HAIKU)
    find_package(Intl)
    set_package_properties(Intl PROPERTIES TYPE REQUIRED
        URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
        PURPOSE "Needed for building kate unless glibc is the system libc implementation"
    )
endif()

option(BUILD_PCH "Enable PCH support" ON)
if (BUILD_PCH)
    add_subdirectory(pch)
endif()

# addons for Kate
ecm_optional_add_subdirectory(addons)

# the Kate & KWrite applications
ecm_optional_add_subdirectory(apps)

# our documentation
ecm_optional_add_subdirectory(doc)

ki18n_install(po)
if(KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== doc/CMakeLists.txt ===
find_package(KF${KF_MAJOR_VERSION}DocTools ${KF5_DEP_VERSION} QUIET)

if(NOT KF5DocTools_FOUND AND NOT KF6DocTools_FOUND)
  return()
endif()

ecm_optional_add_subdirectory(kate)
ecm_optional_add_subdirectory(katepart)
ecm_optional_add_subdirectory(kwrite)

=== pch/CMakeLists.txt ===
ecm_set_disabled_deprecation_versions(
    QT 5.15
    KF 5.90
)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.cpp "/*empty file*/")
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.c "/*empty file*/")


add_library(katepch STATIC ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.cpp ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.c)
target_precompile_headers(katepch PRIVATE pch.h)
set_target_properties(katepch PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(katepch PRIVATE Qt::Core Qt::Gui Qt::Widgets)

=== addons/backtracebrowser/CMakeLists.txt ===
kate_add_plugin(katebacktracebrowserplugin)
target_compile_definitions(katebacktracebrowserplugin PRIVATE TRANSLATION_DOMAIN="katebacktracebrowserplugin")
target_link_libraries(katebacktracebrowserplugin PRIVATE KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextEditor KF${KF_MAJOR_VERSION}::KIOWidgets)

ki18n_wrap_ui(katebacktracebrowserplugin btbrowserwidget.ui btconfigwidget.ui)
target_sources(
  katebacktracebrowserplugin
  PRIVATE
    katebacktracebrowser.cpp
    btparser.cpp
    btfileindexer.cpp
    btdatabase.cpp
)

if (BUILD_PCH)
    target_precompile_headers(katebacktracebrowserplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/externaltools/CMakeLists.txt ===
find_package(KF${KF_MAJOR_VERSION}I18n ${KF5_DEP_VERSION} QUIET)
if(NOT KF${KF_MAJOR_VERSION}I18n_FOUND)
    return()
endif()

find_package(KF${KF_MAJOR_VERSION}IconThemes ${KF5_DEP_VERSION} QUIET)
if(NOT KF${KF_MAJOR_VERSION}IconThemes_FOUND)
    return()
endif()

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} QUIET REQUIRED)

kate_add_plugin(externaltoolsplugin)
target_compile_definitions(externaltoolsplugin PRIVATE TRANSLATION_DOMAIN="kateexternaltoolsplugin")
target_link_libraries(externaltoolsplugin PRIVATE
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::IconThemes
    KF${KF_MAJOR_VERSION}::TextEditor
    KF${KF_MAJOR_VERSION}::I18n
    kateprivate
)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(externaltoolsplugin PRIVATE KF6::IconWidgets)
endif()

ki18n_wrap_ui(externaltoolsplugin configwidget.ui
    tooldialog.ui
    toolview.ui
)

target_sources(
  externaltoolsplugin
  PRIVATE
    externaltoolsplugin.cpp
    kateexternaltoolsview.cpp
    katetoolrunner.cpp
    kateexternaltool.cpp
    kateexternaltoolscommand.cpp
    kateexternaltoolsconfigwidget.cpp
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(externaltoolsplugin REUSE_FROM katepch)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/filebrowser/CMakeLists.txt ===
find_package(KF${KF_MAJOR_VERSION}KIO ${KF5_DEP_VERSION} QUIET)
find_package(KF${KF_MAJOR_VERSION}Bookmarks ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF${KF_MAJOR_VERSION}KIO PROPERTIES PURPOSE "Required to build the filebrowser addon")

if(NOT KF5KIO_FOUND)
  return()
endif()

kate_add_plugin(katefilebrowserplugin)
target_compile_definitions(katefilebrowserplugin PRIVATE TRANSLATION_DOMAIN="katefilebrowserplugin")

target_link_libraries(
  katefilebrowserplugin 
  PRIVATE
    kateprivate
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::TextEditor 
    KF${KF_MAJOR_VERSION}::KIOFileWidgets
    KF${KF_MAJOR_VERSION}::Bookmarks
)

target_sources(
  katefilebrowserplugin
  PRIVATE
    katefilebrowserplugin.cpp
    katefilebrowserconfig.cpp
    katefilebrowser.cpp
    katebookmarkhandler.cpp
    katefilebrowseropenwithmenu.cpp
)

if (BUILD_PCH)
    target_precompile_headers(katefilebrowserplugin REUSE_FROM katepch)
endif()

=== addons/filetree/CMakeLists.txt ===
find_package(KF${KF_MAJOR_VERSION}GuiAddons ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF${KF_MAJOR_VERSION}GuiAddons PROPERTIES PURPOSE "Required to build the katefiletree addon")

if(NOT KF${KF_MAJOR_VERSION}GuiAddons_FOUND)
  return()
endif()

kate_add_plugin(katefiletreeplugin)

target_compile_definitions(katefiletreeplugin PRIVATE TRANSLATION_DOMAIN="katefiletree")

target_link_libraries(
  katefiletreeplugin
  PUBLIC
    kateprivate
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::TextEditor
    KF${KF_MAJOR_VERSION}::GuiAddons
)

target_sources(
  katefiletreeplugin
  PRIVATE
    katefiletree.cpp
    katefiletreeconfigpage.cpp
    katefiletreemodel.cpp
    katefiletreeplugin.cpp
    katefiletreepluginsettings.cpp
    katefiletreeproxymodel.cpp
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(katefiletreeplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/kate-ctags/CMakeLists.txt ===
kate_add_plugin(katectagsplugin)
target_compile_definitions(katectagsplugin PRIVATE TRANSLATION_DOMAIN="kate-ctags-plugin")
target_link_libraries(katectagsplugin PRIVATE kateprivate KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextEditor)

ki18n_wrap_ui(katectagsplugin kate_ctags.ui CTagsGlobalConfig.ui)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER kate_ctags_debug.h
  IDENTIFIER KTECTAGS
  CATEGORY_NAME "katectagsplugin"
)
target_sources(katectagsplugin PRIVATE ${DEBUG_SOURCES})

target_sources(
  katectagsplugin
  PRIVATE
    readtags.c
    tags.cpp
    ctagskinds.cpp
    kate_ctags_view.cpp
    kate_ctags_plugin.cpp
    gotosymbolmodel.cpp
    gotoglobalsymbolmodel.cpp
    gotosymboltreeview.cpp
    gotosymbolwidget.cpp
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(katectagsplugin REUSE_FROM katepch)
endif()

=== addons/keyboardmacros/CMakeLists.txt ===
kate_add_plugin(keyboardmacrosplugin)
target_compile_definitions(keyboardmacrosplugin PRIVATE TRANSLATION_DOMAIN="katekeyboardmacros")
target_link_libraries(keyboardmacrosplugin PRIVATE kateprivate KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextEditor)

target_sources(
  keyboardmacrosplugin
  PRIVATE
    keyboardmacrosplugin.cpp
    keyboardmacrospluginview.cpp
    keyboardmacrosplugincommands.cpp
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(keyboardmacrosplugin REUSE_FROM katepch)
endif()

=== addons/konsole/CMakeLists.txt ===
kate_add_plugin(katekonsoleplugin)
target_compile_definitions(katekonsoleplugin PRIVATE TRANSLATION_DOMAIN="katekonsoleplugin")
target_link_libraries(katekonsoleplugin PRIVATE KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextEditor)

target_sources(
  katekonsoleplugin 
  PRIVATE
    kateconsole.cpp 
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(katekonsoleplugin REUSE_FROM katepch)
endif()

=== addons/lspclient/CMakeLists.txt ===
kate_add_plugin(lspclientplugin)
target_compile_definitions(lspclientplugin PRIVATE TRANSLATION_DOMAIN="lspclient")

target_link_libraries(
  lspclientplugin
  PRIVATE
    kateprivate
)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER lspclient_debug.h
  IDENTIFIER LSPCLIENT
  CATEGORY_NAME "katelspclientplugin"
)
target_sources(lspclientplugin PRIVATE ${DEBUG_SOURCES})

ki18n_wrap_ui(lspclientplugin lspconfigwidget.ui)
target_sources(
  lspclientplugin
  PRIVATE
    lspclientcompletion.cpp
    lspclientconfigpage.cpp
    lspclienthover.cpp
    lspclientplugin.cpp
    lspclientpluginview.cpp
    lspclientserver.cpp
    lspclientservermanager.cpp
    lspclientsymbolview.cpp
    lspclientutils.cpp
    lspsemantichighlighting.cpp
    semantic_tokens_legend.cpp
    gotosymboldialog.cpp
    inlayhints.cpp

    plugin.qrc
)

if (TARGET Qt6::Core5Compat)
    target_link_libraries(lspclientplugin PRIVATE Qt6::Core5Compat) # QTextCodec
endif()

if (BUILD_PCH)
    target_precompile_headers(lspclientplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== addons/openlink/CMakeLists.txt ===
kate_add_plugin(openlinkplugin)
target_compile_definitions(openlinkplugin
                           PRIVATE TRANSLATION_DOMAIN="openlinkplugin")
target_link_libraries(openlinkplugin PRIVATE KF${KF_MAJOR_VERSION}::TextEditor KF${KF_MAJOR_VERSION}::I18n)

target_sources(openlinkplugin PRIVATE OpenLinkPlugin.cpp)

if(BUILD_PCH)
  target_precompile_headers(openlinkplugin REUSE_FROM katepch)
endif()

=== debian/changelog ===
kate (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:01:59 +0000

kate (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:43:30 +0000

kate (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:37:00 -0700

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kuserfeedback-dev,
               libkf5activities-dev (>= 5.79.0~),
               libkf5bookmarks-dev (>= 5.79.0~),
               libkf5config-dev (>= 5.79.0~),
               libkf5crash-dev (>= 5.79.0~),
               libkf5dbusaddons-dev (>= 5.79.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.79.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.79.0~),
               libkf5itemmodels-dev (>= 5.79.0~),
               libkf5jobwidgets-dev (>= 5.79.0~),
               libkf5kio-dev (>= 5.79.0~),
               libkf5newstuff-dev (>= 5.79.0~),
               libkf5parts-dev (>= 5.79.0~),
               libkf5plasma-dev (>= 5.79.0~),
               libkf5service-dev (>= 5.79.0~),
               libkf5syntaxhighlighting-dev (>= 5.79.0~),
               libkf5texteditor-dev (>= 5.79.0~),
               libkf5textwidgets-dev (>= 5.83.0~),
               libkf5threadweaver-dev (>= 5.79.0~),
               libkf5wallet-dev (>= 5.79.0~),
               libkf5windowsystem-dev (>= 5.79.0~),
               libkf5xmlgui-dev (>= 5.79.0~),
               libqt5x11extras5-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://kate-editor.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate

Package: kate
Section: editors
Architecture: any
Depends: kate5-data (>= ${source:Version}),
         ktexteditor-katepart,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet-plugins
Suggests: darcs,
          exuberant-ctags,
          git,
          khelpcenter,
          konsole-kpart,
          mercurial,
          subversion,
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate5-data
Architecture: all
Depends: ${misc:Depends}
Breaks: krite (<< 4:22.12.0-2~)
Replaces: krite (<< 4:22.12.0-2~)
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

## kate 24.08.1

=== addons/externaltools/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

# Project Plugin
add_executable(externaltools_test
    externaltooltest.cpp
    ../kateexternaltool.cpp
    ../katetoolrunner.cpp
)
add_test(NAME plugin-externaltools_test COMMAND externaltools_test ${OFFSCREEN_QPA})
target_link_libraries(externaltools_test PRIVATE kateprivate Qt::Test KF6::I18n KF6::ConfigCore KF6::CoreAddons KF6::TextEditor)
ecm_mark_as_test(externaltools_test)

=== apps/lib/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)

# add given tests to run in offscreen rendering
macro(kate_executable_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp tests.qrc)
        target_link_libraries(${_testname}
            PRIVATE
                kateprivate Qt::Test)
        add_test(NAME kateapp-${_testname} COMMAND ${_testname} ${OFFSCREEN_QPA})
        ecm_mark_as_test(${_testname})
    endforeach()
endmacro()

kate_executable_tests(
    session_test
    session_manager_test
    sessions_action_test
    urlinfo_test
    json_utils_test
    kate_doc_manager_tests
    location_history_test
    kate_view_mgmt_tests
    bytearraysplitter_tests
    diffwidget_tests)

=== debian/changelog ===
kate (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:04 +0100

kate (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 03 Sep 2024 07:46:24 -0700

kate (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Backport upstream patch to fix missing include.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 19:17:44 +0200

kate (4:24.05.2-1ubuntu1) UNRELEASED; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Aug 2024 07:16:46 +0100

kate (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Switch to dh-sequence-kf6.
  * Rename kate5-data to kate-data.
  * Update list of installed files from build system.
  * B-D on pkgconf instead of transitional pkg-config.
  * Update runtime Depends.
  * Add Breaks/Replaces for kate5-data.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update copyright info.

  [ Aurélien COUDERC ]
  * More copyright refresh.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 23:40:17 +0200

kate (4:23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update build-deps with info from cmake. 

 -- Jesse Rhodes <jesse@sney.ca>  Fri, 06 Oct 2023 10:34:15 -0400

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6userfeedback-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kate-editor.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate

Package: kate
Section: editors
Architecture: any
Depends: kate-data (>= ${source:Version}),
         libkf6texteditor-katepart,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet-plugins,
Suggests: darcs,
          exuberant-ctags,
          git,
          khelpcenter (>=24.05~),
          konsole-kpart (>=24.05~),
          mercurial,
          subversion,
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate-data
Architecture: all
Depends: ${misc:Depends},
Breaks: kate5-data,
Replaces: kate5-data,
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: libkf6texteditor-katepart, ${misc:Depends}, ${shlibs:Depends},
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dh_auto_test

## kate 24.08.2

=== debian/changelog ===
kate (4:24.08.2-2ubuntu1) plucky; urgency=medium

  [ Rik Mills ]
  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Fix sonnet plugins runtime recommend to be KF6 version.

  [ Simon Quigley ]
  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:52:26 -0500

kate (4:24.08.2-2) experimental; urgency=medium

  * Team upload.
  * Fix runtime dependencies (Closes: #1084973).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Oct 2024 01:54:45 +0200

kate (4:24.08.2-1) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Make qt6-base-private-dev an explicit build-dependency.

 -- Patrick Franz <deltaone@debian.org>  Thu, 10 Oct 2024 19:40:01 +0200

kate (4:24.08.1-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:05:54 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                libkf6xmlgui-dev (>= 6.0.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
+               qt6-base-private-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -40,13 +41,13 @@
 Architecture: any
 Depends: kate-data (>= ${source:Version}),
          libkf6texteditor-katepart,
-         plasma-framework,
-         qml-module-org-kde-kquickcontrolsaddons,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick2,
+         plasma-desktoptheme,
+         qml6-module-org-kde-kquickcontrolsaddons,
+         qml6-module-qtquick,
+         qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: sonnet-plugins,
+Recommends: sonnet6-plugins,
 Suggests: darcs,
           exuberant-ctags,
           git,

## kate 24.12.0

=== debian/changelog ===
kate (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:06:51 +0000

kate (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:20:35 -0600

kate (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:04:21 +0000

kate (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Drop included upstream_ca8a77ba_include_qapplication.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 15:27:51 +0000

kate (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 14:58:02 +0000

## kate 24.12.1

=== debian/changelog ===
kate (4:24.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.12.1).
  * Add qtkeychain-qt6-dev to the B-Ds in order to enable the SQL plugin
    (Closes: #1093013).

 -- Patrick Franz <deltaone@debian.org>  Thu, 16 Jan 2025 21:26:57 +0100

kate (4:24.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.12.0).
  * Remove redundant patches.
  * Allow tests to fail (Closes: #1090239).

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 19:55:37 +0100

kate (4:24.08.2-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Really ignore testsuite failures on 32-bit arches and hurd.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 09:58:44 +0100

kate (4:24.08.2-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Ignore testsuite failures on 32-bit arches and hurd.
  * Drop reproducible=-fixfilepath build option now that the build path
    have been fixed.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 17:48:54 +0100

kate (4:24.08.2-3) unstable; urgency=medium

  [ Rik Mills ]
  * Fix sonnet plugins runtime recommend to be KF6 version.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 12:31:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -28,13 +27,14 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-base-private-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
+               qtkeychain-qt6-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git
 
 Package: kate
 Section: editors

## kate 24.12.3

=== CMakeLists.txt ===
# 3.16 is required for the ECM version we require
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kate VERSION ${RELEASE_SERVICE_VERSION})

# KF6 only
set(QT_MIN_VERSION "6.5.0")
set(KF5_DEP_VERSION "6.0.0")
set(QT_MAJOR_VERSION "6")

# use C++20 like KF6 itself
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

# We need some parts of the ECM CMake helpers.
find_package(ECM ${KF5_DEP_VERSION} QUIET REQUIRED NO_MODULE)

# We append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)

include(FeatureSummary)
include(FindIntl)

# Required here so that the version comparison below works
find_package(Qt6Widgets ${QT_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt6Concurrent ${QT_MIN_VERSION} CONFIG REQUIRED)

# Required here so that the ki18n_install/kdoctools_install calls work.
find_package(KF6 ${KF5_DEP_VERSION}
    REQUIRED COMPONENTS
        I18n
        CoreAddons
        GuiAddons
        Crash
        IconThemes
        TextEditor
    OPTIONAL_COMPONENTS
        DocTools
)

if (NOT WIN32 AND NOT HAIKU)
    find_package(Intl)
    set_package_properties(Intl PROPERTIES TYPE REQUIRED
        URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
        PURPOSE "Needed for building kate unless glibc is the system libc implementation"
    )
endif()

# define which offscreen platform plugin to use for tests
# windows has issues with offscreen tests in the CI
set(OFFSCREEN_QPA)
if(NOT WIN32)
    set(OFFSCREEN_QPA "-platform" "offscreen")
endif()

# deprecation options
ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.90
)

option(BUILD_PCH "Enable PCH support" ON)
if (BUILD_PCH)
    add_subdirectory(pch)
endif()

# addons for Kate
ecm_optional_add_subdirectory(addons)

# the Kate & KWrite applications
ecm_optional_add_subdirectory(apps)

# our documentation
ecm_optional_add_subdirectory(doc)

# Appium UI tests
add_subdirectory(appiumtests)

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== appiumtests/CMakeLists.txt ===
# SPDX-License-Identifier: MIT
# SPDX-FileCopyrightText: 2024 Antoine Herlicq <antoine.herlicq@enioka.com>

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()

find_package(SeleniumWebDriverATSPI)
set_package_properties(SeleniumWebDriverATSPI PROPERTIES
        DESCRIPTION "Server component for selenium tests using Linux accessibility infrastructure"
        PURPOSE "Needed for GUI tests"
        URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
        TYPE OPTIONAL
)
if(NOT SeleniumWebDriverATSPI_FOUND AND NOT DEFINED ENV{KDECI_BUILD})
    return()
endif()

add_test(
        NAME kwritetest
        COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kwritetest.py
)
set_tests_properties(kwritetest PROPERTIES TIMEOUT 300 ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR}/bin")

=== apps/CMakeLists.txt ===
# kateprivate shared library used by Kate & KWrite (and addons)
add_subdirectory(lib)

# the Kate application
ecm_optional_add_subdirectory(kate)

# the KWrite application
ecm_optional_add_subdirectory(kwrite)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(KF${KF_MAJOR_VERSION}DocTools ${KF5_DEP_VERSION} QUIET)
+find_package(KF6DocTools ${KF5_DEP_VERSION} QUIET)
 
 if(NOT KF5DocTools_FOUND AND NOT KF6DocTools_FOUND)
   return()

=== addons/backtracebrowser/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 kate_add_plugin(katebacktracebrowserplugin)
 target_compile_definitions(katebacktracebrowserplugin PRIVATE TRANSLATION_DOMAIN="katebacktracebrowserplugin")
-target_link_libraries(katebacktracebrowserplugin PRIVATE KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextEditor KF${KF_MAJOR_VERSION}::KIOWidgets)
+target_link_libraries(katebacktracebrowserplugin PRIVATE KF6::I18n KF6::TextEditor KF6::KIOWidgets)
 
 ki18n_wrap_ui(katebacktracebrowserplugin btbrowserwidget.ui btconfigwidget.ui)
 target_sources(

=== addons/eslint/CMakeLists.txt ===
kate_add_plugin(eslintplugin)
target_compile_definitions(eslintplugin PRIVATE TRANSLATION_DOMAIN="eslintplugin")
target_link_libraries(eslintplugin PRIVATE KF6::TextEditor kateprivate)

target_sources(
  eslintplugin
  PRIVATE
    EslintPlugin.cpp
)

if (BUILD_PCH)
    target_precompile_headers(eslintplugin REUSE_FROM katepch)
endif()

=== addons/externaltools/CMakeLists.txt ===
find_package(KF6I18n ${KF5_DEP_VERSION} QUIET)
if(NOT KF6I18n_FOUND)
    return()
endif()

find_package(KF6IconThemes ${KF5_DEP_VERSION} QUIET)
if(NOT KF6IconThemes_FOUND)
    return()
endif()

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)

kate_add_plugin(externaltoolsplugin)
target_compile_definitions(externaltoolsplugin PRIVATE TRANSLATION_DOMAIN="kateexternaltoolsplugin")
target_link_libraries(externaltoolsplugin PRIVATE
    KF6::CoreAddons
    KF6::IconThemes
    KF6::IconWidgets
    KF6::TextEditor
    KF6::I18n
    kateprivate
)

ki18n_wrap_ui(externaltoolsplugin configwidget.ui
    tooldialog.ui
    toolview.ui
)

target_sources(
  externaltoolsplugin
  PRIVATE
    externaltoolsplugin.cpp
    kateexternaltoolsview.cpp
    katetoolrunner.cpp
    kateexternaltool.cpp
    kateexternaltoolscommand.cpp
    kateexternaltoolsconfigwidget.cpp
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(externaltoolsplugin REUSE_FROM katepch)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/filetree/CMakeLists.txt ===
kate_add_plugin(katefiletreeplugin)

target_compile_definitions(katefiletreeplugin PRIVATE TRANSLATION_DOMAIN="katefiletree")

target_link_libraries(
  katefiletreeplugin
  PUBLIC
    kateprivate
    KF6::I18n
    KF6::TextEditor
    KF6::GuiAddons
)

target_sources(
  katefiletreeplugin
  PRIVATE
    katefiletree.cpp
    katefiletreeconfigpage.cpp
    katefiletreemodel.cpp
    katefiletreeplugin.cpp
    katefiletreepluginsettings.cpp
    katefiletreeproxymodel.cpp
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(katefiletreeplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/gdbplugin/CMakeLists.txt ===
# Hasn't been ported to Windows yet.

kate_add_plugin(kategdbplugin)
target_compile_definitions(kategdbplugin PRIVATE TRANSLATION_DOMAIN="kategdbplugin")
target_link_libraries(kategdbplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
    DEBUG_SOURCES
    HEADER dapclient_debug.h
    IDENTIFIER DAPCLIENT
    CATEGORY_NAME "kategdbplugin"
)

ki18n_wrap_ui(kategdbplugin advanced_settings.ui)
ki18n_wrap_ui(kategdbplugin debugconfig.ui)

set(DAP_SOURCES
    dap/bus.cpp
    dap/socketbus.cpp
    dap/processbus.cpp
    dap/client.cpp
    dap/entities.cpp
    dap/messages.h
    dap/settings.cpp
    dap/socketprocessbus.cpp
    dap/bus_selector.cpp
)

set(GDB_SOURCES "")
if(NOT WIN32)
    set(GDB_SOURCES
        gdbmi/parser.cpp
        gdbmi/records.h
        gdbmi/tokens.cpp

        gdbvariableparser.cpp
        gdbbackend.cpp
    )
endif()

target_sources(
  kategdbplugin
  PRIVATE
    plugin_kategdb.cpp
    backendinterface.cpp
    configview.cpp
    ioview.cpp
    localsview.cpp
    advanced_settings.cpp
    debugconfigpage.cpp

    ${DAP_SOURCES}
    ${GDB_SOURCES}
    ${DEBUG_SOURCES}
    json_placeholders.cpp
    dapbackend.cpp
    backend.cpp
    launch_json_reader.cpp

    plugin.qrc 
)

if (BUILD_PCH)
    target_precompile_headers(kategdbplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/katebuild-plugin/CMakeLists.txt ===
kate_add_plugin(katebuildplugin)
target_compile_definitions(katebuildplugin PRIVATE TRANSLATION_DOMAIN="katebuild-plugin")
target_link_libraries(katebuildplugin PRIVATE KF6::I18n KF6::TextEditor kateprivate)

ki18n_wrap_ui(katebuildplugin build.ui buildconfigwidget.ui)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER kate_buildplugin_debug.h
  IDENTIFIER KTEBUILD
  CATEGORY_NAME "katebuildplugin"
)

target_sources(
  katebuildplugin
  PRIVATE
    plugin_katebuild.cpp
    targets.cpp
    TargetHtmlDelegate.cpp
    TargetModel.cpp
    UrlInserter.cpp
    TargetFilterProxyModel.cpp
    AppOutput.cpp
    buildconfig.cpp
    plugin.qrc
    qcmakefileapi.cpp
    ${DEBUG_SOURCES}
)

if (BUILD_PCH)
    target_precompile_headers(katebuildplugin REUSE_FROM katepch)
endif()

=== addons/katesql/CMakeLists.txt ===
find_package(Qt6Sql ${QT_MIN_VERSION} QUIET)
set_package_properties(Qt6Sql PROPERTIES PURPOSE "Required to build the katesql addon")

find_package(Qt6Keychain QUIET)
set_package_properties(Qt6Keychain PROPERTIES PURPOSE "Required to build the katesql addon")

if(NOT Qt6Sql_FOUND OR NOT Qt6Keychain_FOUND)
  return()
endif()

kate_add_plugin(katesqlplugin)
target_compile_definitions(katesqlplugin PRIVATE TRANSLATION_DOMAIN="katesql")

target_link_libraries(
  katesqlplugin 
  PRIVATE
    KF6::I18n
    KF6::TextEditor
    KF6::KIOWidgets
    Qt::Sql
    qt6keychain
)

target_sources(
  katesqlplugin
  PRIVATE
    katesqlplugin.cpp
    katesqlview.cpp
    connectionmodel.cpp
    sqlmanager.cpp
    cachedsqlquerymodel.cpp
    dataoutputmodel.cpp
    dataoutputview.cpp
    dataoutputwidget.cpp
    textoutputwidget.cpp
    schemawidget.cpp
    schemabrowserwidget.cpp
    connectionwizard.cpp
    katesqlconfigpage.cpp
    exportwizard.cpp
    outputstylewidget.cpp
    outputwidget.cpp
    plugin.qrc
)

if (BUILD_PCH)
    target_precompile_headers(katesqlplugin REUSE_FROM katepch)
endif()

=== addons/keyboardmacros/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 kate_add_plugin(keyboardmacrosplugin)
 target_compile_definitions(keyboardmacrosplugin PRIVATE TRANSLATION_DOMAIN="katekeyboardmacros")
-target_link_libraries(keyboardmacrosplugin PRIVATE kateprivate KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextEditor)
+target_link_libraries(keyboardmacrosplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor)
 
 target_sources(
   keyboardmacrosplugin

=== debian/changelog ===
kate (4:24.12.3-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:49 -0500

kate (4:24.12.3-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 13:50:30 +0000

kate (4:24.12.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Mar 2025 12:15:10 +0100

kate (4:24.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.3).
  * Concatenate upstream signatures.
  * Backport patch to support debputy in kate (Closes: #1099876).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Mar 2025 15:33:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -33,8 +34,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors

## kate 25.04.2

=== debian/changelog ===
kate (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Add missing includes.
    - Fix size limit, that is an int in MB, no bool.
    - Fix type warnings.
  * New upstream release (25.04.2).
    - Check whether item is an object. (kde#505044)
    - S&R: Fix canceling search in current file.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jun 2025 23:47:49 +0200

kate (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:57:54 +0200

kate (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop patch applied upstream.
  * Refresh copyright information.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:51:27 +0200
